package com.njcn.csharmonic.offline.mincfg.vo;

public class DATA_HARMVP //谐波电压相位
{
	private RTC_Timer time; //数据时标
	private Float[][] HARMVP; //3-?谐波电压相位
	public DATA_HARMVP(int num)
	{
		time = new RTC_Timer();
		HARMVP = new Float[3][num];
	}
	public static int GetSize(int num)
	{
//C# TO JAVA CONVERTER TODO TASK: There is no Java equivalent to 'sizeof':
		return 6 * Short.SIZE / Byte.SIZE + 3 * num *  Float.SIZE / Byte.SIZE;
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead, int num)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize(num))
		{
			return false;
		}

		int iStep = nHaveRead;
		time.SetStructBuf(bArray, iStep);
		iStep = iStep + RTC_Timer.GetSize();
		RefObject<Float[][]> tempRef_HARMVP = new RefObject<Float[][]>(HARMVP);
		iStep += Service.convertFloatArrayTwo(bArray, iStep, tempRef_HARMVP);
		HARMVP = tempRef_HARMVP.argvalue;
		return true;
	}
}